---
# ------------------------------------------------------------------------------
# Checks
# ------------------------------------------------------------------------------

- name: Uninstall - Check packages
  ansible.builtin.stat:
    path: "{{ item['path'] }}"
  register: uninstall_package_state
  loop: "{{ package_uninstall }}"
  loop_control:
    label: "{{ item['package'] }}"

# ------------------------------------------------------------------------------
# Uninstall
# ------------------------------------------------------------------------------

- name: Uninstall - Remove packages
  ansible.builtin.package:
    name: "{{ package_uninstall | map(attribute='package') | list }}"
    state: absent
    update_cache: yes
    cache_valid_time: "{{ package_vars_apt_cache if ansible_facts['pkg_mgr'] == 'apt' else '' | default(omit, true) }}"
  register: package_output_uninstall_result
  retries: "{{ package_settings_retries }}"
  until: package_output_uninstall_result is success
  when: uninstall_package_state.results | selectattr('stat.exists', 'equalto', true) | list | length > 0
